POST api/medistreamprogramapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| active | boolean |
Required |
|
| duration | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"medistream_id": "78d1b03f-f39d-49f5-81a8-d774ea995791",
"id": "13c0c403-6976-4cea-9f02-bc1d4b739234",
"local_id": 1,
"name": "sample string 3",
"active": true,
"duration": 1
}
application/xml, text/xml
Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>13c0c403-6976-4cea-9f02-bc1d4b739234</id> <local_id>1</local_id> <medistream_id>78d1b03f-f39d-49f5-81a8-d774ea995791</medistream_id> <name>sample string 3</name> </medistream_program>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e8e7e4bf-e2f5-42a2-a97e-cbed83369a61"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e8e7e4bf-e2f5-42a2-a97e-cbed83369a61</guid>